Index: trunk/client/temi/Futura2/index.php
===================================================================
--- trunk/client/temi/Futura2/index.php	(revision 256)
+++ trunk/client/temi/Futura2/index.php	(revision 265)
@@ -8,5 +8,5 @@
 
 $nometema=$tema;
-require_once("class/db/db.php"); //classe db
+#require_once("class/db/db.php"); //classe db
 global $tema,$id_comune,$descr_cons,$genere,$tipo_cons,$multicomune;
 
@@ -19,6 +19,9 @@
 # descrizione comune
 if(!$id_comune or $id_comune=='') $id_comune=$siteistat;
-$res = $db->sql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ");
-list($descr_com) = $db->sql_fetchrow($res);
+$sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+list($descr_com) = $res->fetch(PDO::FETCH_NUM);
 
 
@@ -27,5 +30,5 @@
 ####################################
 
-global $op,$tema,$db,$nometema,$file,$bgcolor,$sitename,$dbi,$prefix,$blocco,$lang,$siteistat,$id_cons_gen,$descr_cons,$minsez,$offsetsez,$multicomune,$id_comune,$multicomune,$rss,$colortheme,$descr_com;
+global $op,$tema,$dbi,$nometema,$file,$bgcolor,$sitename,$prefix,$blocco,$lang,$siteistat,$id_cons_gen,$descr_cons,$minsez,$offsetsez,$multicomune,$id_comune,$multicomune,$rss,$colortheme,$descr_com;
 
 include("temi/$tema/function_theme.php");
@@ -35,6 +38,9 @@
 $logo= "<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_comune=".$id_comune."\" alt=\"logo\" width=\"70\" align=\"left\"/>";
 
-$res = $db->sql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ");
-	list($descr_com) = $db->sql_fetchrow($res);
+$sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($descr_com) = $res->fetch(PDO::FETCH_NUM);
         $descr_com =stripslashes($descr_com); 
 
@@ -91,6 +97,9 @@
 
 
-	$res = $db->sql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" ); 
-	$esiste=$db->sql_numrows($res);
+	$sql="SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc"; 
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	
+	$esiste=$res->rowCount();
 
 		echo " <form  method=\"post\" action=\"modules.php\">
@@ -102,5 +111,5 @@
 		onchange=\"javascript:top.location.href='modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen='+this.options[this.options.selectedIndex].value\">";
 	
-	    while(list($id,$descrizione) = $db->sql_fetchrow($res)) {
+	    while(list($id,$descrizione) = $res->fetch(PDO::FETCH_NUM)) {
 		$descrizione=substr(str_replace("+"," ",$descrizione),0,30);
      		$sel = ($id == $id_cons_gen) ? "selected=\"selected\"":"";		
@@ -263,5 +272,5 @@
 
 function grafvotanti_mob(){
-	global $tema,$db,$prefix,$colortheme;
+	global $tema,$dbi,$prefix,$colortheme;
 	echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
 	
@@ -274,5 +283,5 @@
 # gruppo per menu grafica
 function grafgruppo(){
-	global $tema,$db,$prefix,$colortheme;
+	global $tema,$dbi,$prefix,$colortheme;
 	echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
 	graf_gruppo_mob();	
@@ -284,5 +293,5 @@
 # gruppo per menu grafica
 function grafsezione(){
-	global $tema,$db,$prefix,$colortheme;
+	global $tema,$dbi,$prefix,$colortheme;
 	echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
 	graf_sezioni();
@@ -348,5 +357,5 @@
 
 function votanti_mob(){
-	global $tema,$db,$prefix,$colortheme;
+	global $tema,$dbi,$prefix,$colortheme;
 	echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
 	votanti_tabella();
@@ -388,5 +397,5 @@
 ###############################################
 # scelta comune in caso di multicomune tema
-global $multicomune,$tema,$prefix,$db,$colortheme,$id_cons_gen,$info,$id_comune,$rss;
+global $multicomune,$tema,$prefix,$dbi,$colortheme,$id_cons_gen,$info,$id_comune,$rss;
 
 echo "<center>
@@ -399,8 +408,8 @@
 	{
 
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
-		
-	      $rescomu= $db->sql_query($sqlcomu);
-	      $esiste_multi=$db->sql_numrows($rescomu);
+	      $sql="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+				$rescomu = $dbi->prepare("$sql");
+				$rescomu->execute();
+	      $esiste_multi=$rescomu->rowCount();
 	      if ($esiste_multi>=1) {
 		
@@ -411,6 +420,6 @@
 			<option>Scegli il comune</option>";
 	
-		while (list($id,$descrizione,)=mysql_fetch_row($rescomu)){
-			   // $sel=($id == $id_comune) ? "selected=\"selected\"":"";
+		while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
+			   $sel=($id == $id_comune) ? "selected=\"selected\"":"";
 			    echo "<option value=\"$id\" $sel >$descrizione</option>";
 			}
@@ -423,5 +432,5 @@
 # colore del tema
 # la variabile rss, non usta in questo tema, Ãš stata presa in prestito per determinare il colore del tema
-
+$selez='';
 		echo "<select name=\"rss\" data-native-menu=\"false\"  > ";
 		echo "<option>Scegli il colore del tema</option>";			       
@@ -441,5 +450,5 @@
 ###############################################
 # scelta comune in caso di multicomune tema
-global $tema,$db,$prefix,$colortheme,$id_comune,$descr_com;
+global $tema,$dbi,$prefix,$colortheme,$id_comune,$descr_com;
 
 		echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
